Subject: [CDNi] Updated version of draft-ietf-cdni-uri-signing

From: "Brandenburg, R. (Ray) van" <[email-masked]>
Date: Thu, 31 Dec 2015 09:49:07 +0000

Hi all,

I've just uploaded a new version of draft-ietf-cdni-uri-signing (-06). This version addresses most of the comments received over the past two months, including Leif's extensive review.

https://tools.ietf.org/html/draft-ietf-cdni-uri-signing-06

Diff: https://www.ietf.org/rfcdiff?url2=draft-ietf-cdni-uri-signing-06

While the new version includes a lot of changes to normative sections, I would like to briefly address the two most important ones:
- Inclusion of the URI Pattern information element: during the Yokohama meeting it was decided that the Path Pattern information element from draft-brandenburg-cdni-uri-signing-for-has should be brought into this document. During this process, we've fleshed out the pattern mechanism a little bit so that it provides for more flexibility, most notably the ability to pattern all URI components and not just the path. Because of this, it was also renamed to URI Pattern. Note that for now we've decided to not go for a full regex but for a slightly simpler mechanism that should be less complex while hopefully still providing enough flexibility. I would like to solicit some comments on this decision. Of course, should the WG decide that we should go for a full regex instead, this should be a relatively easy edit.
- Mandatory encryption of the Client IP information element. During the IESG review of draft-ietf-cdni-logging, we had a long discussion around logging of client IP addresses. Given that the URI Signing algorithm (optionally) allows for the Client IP to be placed in the Signed URI, this would  mean that the Client IP is logged through the URI log field as well. Given the opinions of the IESG, we've decided to make encryption of the Client IP in the Signed URI mandatory. Although this does make the algorithm slightly more complex, we didn't see any way around it.

We've yet to address some of the comments on the informative sections, however, given that this is a pretty significant rewrite of the normative aspects of the draft, we've chosen to upload this version instead of waiting for the informative sections to be finished as well so that people can comment on the algorithm itself.

Any comments are greatly appreciated.

Best regards,

Ray
This message may contain information that is not intended for you. If you are not the addressee or if this message was sent to you by mistake, you are requested to inform the sender and delete the message. TNO accepts no liability for the content of this e-mail, for the manner in which you use it and for damage of any kind resulting from the risks inherent to the electronic transmission of messages.